Disable CONFIG_MEMORY_HOTPLUG_DEFAULT_ONLINE

Bug #1709171 reported by bugproxy
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Canonical Kernel Team
linux (Ubuntu)
Medium
Joseph Salisbury
Zesty
Medium
Joseph Salisbury
Artful
Medium
Joseph Salisbury

Bug Description

== SRU Justification ==
IBM is requesting that we disable CONFIG_MEMORY_HOTPLUG_DEFAULT_ONLINE in
the current ppc64el kernels up to 16.04.3.

This was requested originally in LP#1706380, but it was not integrated in that bug.

This chanage has already been made in Artful(Commit 8f189e08c9a), so that
is where I cherry picked the patch from.

CVE References

bugproxy (bugproxy)
tags: added: architecture-ppc64le bugnameltc-157361 severity-high targetmilestone-inin16043
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2017-08-07 16:21 EDT-------
This is being useful for the NVIDIA driver. That option causes memory to be onlined immediately and in the default zone. The driver must do the onlining as a second step, and specify the movable zone.

------- Comment From <email address hidden> 2017-08-07 16:25 EDT-------
This change was also expected when we did LP# 1706380, since the revert would expect this change as well.

Changed in ubuntu-power-systems:
importance: Undecided → High
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
tags: added: kernel-da-key
Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

I built a Zesty test kernel with CONFIG_MEMORY_HOTPLUG_DEFAULT_ONLINE disabled. The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1709171/

Can you test this kernel and see if it resolves this bug?

Thanks in advance!

Changed in linux (Ubuntu Zesty):
status: New → In Progress
Changed in linux (Ubuntu Artful):
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu Zesty):
importance: Undecided → Medium
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Artful):
assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) → Joseph Salisbury (jsalisbury)
Frank Heimes (fheimes)
Changed in ubuntu-power-systems:
status: New → In Progress
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-08-14 11:40 EDT-------
(In reply to comment #7)
> I built a Zesty test kernel with CONFIG_MEMORY_HOTPLUG_DEFAULT_ONLINE
> disabled. The test kernel can be downloaded from:
>
> http://kernel.ubuntu.com/~jsalisbury/lp1709171/
>
> Can you test this kernel and see if it resolves this bug?

No dice. The config option is still set.

$ grep HOTPLUG_DEFAULT config-4.10.0-32-generic
CONFIG_MEMORY_HOTPLUG_DEFAULT_ONLINE=y

Revision history for this message
Seth Forshee (sforshee) wrote :

Applied this config change to artful.

Changed in linux (Ubuntu Artful):
status: In Progress → Fix Committed
Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

I built a v2 version of the test kernel. The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1709171/

Can you test this kernel and see if it resolves this bug?

Thanks in advance!

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-08-16 18:13 EDT-------
Much better! Thank you.

$ grep HOTPLUG_DEFAULT config-4.10.0-32-generic
# CONFIG_MEMORY_HOTPLUG_DEFAULT_ONLINE is not set

description: updated
Changed in linux (Ubuntu Zesty):
status: In Progress → Fix Committed
Manoj Iyer (manjo)
Changed in ubuntu-power-systems:
status: In Progress → Fix Committed
Revision history for this message
Kleber Sacilotto de Souza (kleber-souza) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (13.1 KiB)

This bug was fixed in the package linux - 4.12.0-12.13

---------------
linux (4.12.0-12.13) artful; urgency=low

  * Artful update to v4.12.8 stable release (LP: #1711368)
    - mm: ratelimit PFNs busy info message
    - mm: fix list corruptions on shmem shrinklist
    - futex: Remove unnecessary warning from get_futex_key
    - xtensa: fix cache aliasing handling code for WT cache
    - xtensa: mm/cache: add missing EXPORT_SYMBOLs
    - xtensa: don't limit csum_partial export by CONFIG_NET
    - xfs: Fix leak of discard bio
    - pinctrl: armada-37xx: Fix number of pin in south bridge
    - mtd: nand: atmel: Fix DT backward compatibility in pmecc.c
    - mtd: nand: Fix timing setup for NANDs that do not support SET FEATURES
    - mtd: nand: Declare tBERS, tR and tPROG as u64 to avoid integer overflow
    - iscsi-target: fix memory leak in iscsit_setup_text_cmd()
    - iscsi-target: Fix iscsi_np reset hung task during parallel delete
    - usb-storage: fix deadlock involving host lock and scsi_done
    - target: Fix node_acl demo-mode + uncached dynamic shutdown regression
    - fuse: initialize the flock flag in fuse_file on allocation
    - i2c: designware: Some broken DSTDs use 1MiHz instead of 1MHz
    - nand: fix wrong default oob layout for small pages using soft ecc
    - mmc: mmc: correct the logic for setting HS400ES signal voltage
    - nfs/flexfiles: fix leak of nfs4_ff_ds_version arrays
    - drm/bridge: tc358767: fix probe without attached output node
    - drm/etnaviv: Fix off-by-one error in reloc checking
    - drm/i915: Fix out-of-bounds array access in bdw_load_gamma_lut
    - USB: serial: option: add D-Link DWM-222 device ID
    - USB: serial: cp210x: add support for Qivicon USB ZigBee dongle
    - USB: serial: pl2303: add new ATEN device id
    - usb: musb: fix tx fifo flush handling again
    - USB: hcd: Mark secondary HCD as dead if the primary one died
    - staging:iio:resolver:ad2s1210 fix negative IIO_ANGL_VEL read
    - iio: aspeed-adc: wait for initial sequence.
    - iio: accel: st_accel: add SPI-3wire support
    - iio: accel: bmc150: Always restore device to normal mode after suspend-
      resume
    - iio: pressure: st_pressure_core: disable multiread by default for LPS22HB
    - iio: light: tsl2563: use correct event code
    - iio: adc: Revert "axp288: Drop bogus AXP288_ADC_TS_PIN_CTRL register
      modifications"
    - staging: comedi: comedi_fops: do not call blocking ops when !TASK_RUNNING
    - uas: Add US_FL_IGNORE_RESIDUE for Initio Corporation INIC-3069
    - firmware: fix batched requests - wake all waiters
    - firmware: fix batched requests - send wake up on failure on direct lookups
    - firmware: avoid invalid fallback aborts by using killable wait
    - block: Make blk_mq_delay_kick_requeue_list() rerun the queue at a quiet time
    - usb: gadget: udc: renesas_usb3: Fix usb_gadget_giveback_request() calling
    - usb: renesas_usbhs: Fix UGCTRL2 value for R-Car Gen3
    - USB: Check for dropped connection before switching to full speed
    - usb: core: unlink urbs from the tail of the endpoint's urb_list
    - usb: quirks: Add no-lpm quirk for Moshi USB to Ethernet Adapter
    - usb:xhci:Add ...

Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-01 11:59 EDT-------
> This bug is awaiting verification that the kernel in -proposed solves the
> problem. Please test the kernel and update this bug with the results. If the
> problem is solved, change the tag 'verification-needed-zesty' to
> 'verification-done-zesty'.

I verified that linux-image-4.10.0-34-generic/zesty-proposed is fixed.

tags: added: verification-done-zesty
removed: verification-needed-zesty
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (4.2 KiB)

This bug was fixed in the package linux - 4.10.0-35.39

---------------
linux (4.10.0-35.39) zesty; urgency=low

  * linux: 4.10.0-35.39 -proposed tracker (LP: #1716606)

  * kernel panic -not syncing: Fatal exception: panic_on_oops (LP: #1708399)
    - SAUCE: s390/mm: fix local TLB flushing vs. detach of an mm address space
    - SAUCE: s390/mm: fix race on mm->context.flush_mm

  * CVE-2017-1000251
    - Bluetooth: Properly check L2CAP config option output buffer length

linux (4.10.0-34.38) zesty; urgency=low

  * linux: 4.10.0-34.38 -proposed tracker (LP: #1713470)

  * Ubuntu 16.04.03: perf tool does not count pm_run_inst_cmpl with rcode on
    POWER9 DD2.0 (LP: #1709964)
    - powerpc/perf: Fix Power9 test_adder fields

  * HID: multitouch: Support ALPS PTP Stick and Touchpad devices (LP: #1712481)
    - HID: multitouch: Support PTP Stick and Touchpad device
    - SAUCE: HID: multitouch: Support ALPS PTP stick with pid 0x120A

  * igb: Support using Broadcom 54616 as PHY (LP: #1712024)
    - SAUCE: igb: add support for using Broadcom 54616 as PHY

  * RPT related fixes missing in Ubuntu 16.04.3 (LP: #1709220)
    - powerpc/mm/radix: Optimise tlbiel flush all case
    - powerpc/mm/radix: Improve _tlbiel_pid to be usable for PWC flushes
    - powerpc/mm/radix: Improve TLB/PWC flushes
    - powerpc/mm/radix: Avoid flushing the PWC on every flush_tlb_range

  * AMD RV platforms with SNPS 3.1 USB controller stop responding (S3 issue)
    (LP: #1711098)
    - usb: xhci: Issue stop EP command only when the EP state is running

  * dma-buf: performance issue when looking up the fence status (LP: #1711096)
    - dma-buf: avoid scheduling on fence status query v2

  * IPR driver causes multipath to fail paths/stuck IO on Medium Errors
    (LP: #1682644)
    - scsi: ipr: do not set DID_PASSTHROUGH on CHECK CONDITION

  * Disable CONFIG_MEMORY_HOTPLUG_DEFAULT_ONLINE (LP: #1709171)
    - [Config] CONFIG_MEMORY_HOTPLUG_DEFAULT_ONLINE=n for ppc64el

  * memory-hotplug test needs to be fixed (LP: #1710868)
    - selftests: typo correction for memory-hotplug test
    - selftests: check hot-pluggagble memory for memory-hotplug test
    - selftests: check percentage range for memory-hotplug test
    - selftests: add missing test name in memory-hotplug test
    - selftests: fix memory-hotplug test

  * Ubuntu 16.04.3: Qemu fails on P9 (LP: #1686019)
    - KVM: PPC: Pass kvm* to kvmppc_find_table()
    - KVM: PPC: Use preregistered memory API to access TCE list
    - KVM: PPC: VFIO: Add in-kernel acceleration for VFIO
    - powerpc/powernv/iommu: Add real mode version of iommu_table_ops::exchange()
    - powerpc/powernv/ioda2: Update iommu table base on ownership change
    - powerpc/iommu/vfio_spapr_tce: Cleanup iommu_table disposal
    - powerpc/vfio_spapr_tce: Add reference counting to iommu_table
    - powerpc/mmu: Add real mode support for IOMMU preregistered memory
    - KVM: PPC: Reserve KVM_CAP_SPAPR_TCE_VFIO capability number
    - KVM: PPC: Book3S HV: Add radix checks in real-mode hypercall handlers

  * [SRU][Zesty] [QDF2400] pl011 E44 erratum patch needed for 2.0 firmware and
    1.1 silicon (LP: #1709123)
    - tty: pl011: fix initialization or...

Read more...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
Changed in ubuntu-power-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy)
tags: removed: bugnameltc-157361 kernel-da-key severity-high verification-done-zesty
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers